# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Sat Apr 11 05:46:33 2020
# ------------------------------------------------

package:
    name: great-expectations
    version: 0.9.11
source:
    fn: great-expectations-0.9.11.tar.gz
    sha256: 7f225fcda510dcc0def245a8b8bb328f4f640315b4c5fb8354cad8df395ca509
    url: https://pypi.io/packages/source/g/great-expectations/great_expectations-0.9.11.tar.gz
build:
    entry_points:
        - great_expectations = great_expectations.cli:main
    number: '0'
    script: D:\\bld\\great-expectations_1586584167458\\_h_env\\python.exe -m pip install
        . --no-deps -vv
    string: py36h9f0ad1d_0
requirements:
    host:
        - certifi 2020.4.5.1 py36h9f0ad1d_0
        - pip 20.0.2 py_2
        - python 3.6.10 he025d50_1009_cpython
        - python_abi 3.6 1_cp36m
        - setuptools 46.1.3 py36h9f0ad1d_0
        - vc 14.1 h869be7e_1
        - vs2015_runtime 14.16.27012 h30e32a0_1
        - wheel 0.34.2 py_1
        - wincertstore 0.2 py36_1003
    run:
        - altair >=3.1.0
        - autopep8 >=1.4.4
        - backports.functools_lru_cache >=1.5
        - black ==19.10b0
        - click >=7.0
        - future >=0.16
        - ipywidgets >=7.4.2
        - jinja2 >=2.10
        - jsonschema >=2.5.1
        - marshmallow >3.0
        - mistune >=0.8.4
        - numpy >=1.14.1
        - pandas >=0.22.0
        - pyparsing >=2.4,<3
        - python >=3.6,<3.7.0a0
        - python-dateutil >=2.4.2
        - python_abi 3.6.* *_cp36m
        - pytz >=2015.6
        - requests >=2.20
        - ruamel.yaml >=0.15.24
        - scipy >=0.19.0
        - six >=1.12.0
        - termcolor >=1.1.0
        - tzlocal >=1.2
    run_constrained:
        - pyspark >=2.3.2
        - sqlalchemy >=1.2
test:
    imports:
        - great_expectations
about:
    description: 'Great Expectations helps teams save time and promote analytic integrity

        by offering a unique approach to automated testing: pipeline tests.

        Pipeline tests are applied to data (instead of code) and at batch time

        (instead of compile or deploy time). Pipeline tests are like unit tests

        for datasets: they help you guard against upstream data changes and monitor

        data quality.


        Software developers have long known that automated testing is

        essential for managing complex codebases. Great Expectations brings

        the same discipline, confidence, and acceleration to data science

        and engineering teams.

        '
    dev_url: https://github.com/great-expectations/great_expectations
    doc_url: http://readthedocs.org/projects/great-expectations/
    home: https://github.com/great-expectations/great_expectations
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: Always know what to expect from your data.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jcampbell
        - sodre
        - xhochy
